%{!?upstream_version: %global upstream_version %{version}}

%global srcname ironic-lib
%global sum A common library to be used by various projects in the Ironic ecosystem

Name:           python-%{srcname}
Version:        2.10.1
Release:        2%{?dist}
Provides:        python2-ironic-lib = %{version}-%{release}
Summary:        %{sum}

License:        ASL 2.0
URL:            http://pypi.python.org/pypi/%{srcname}
Source0:        https://tarballs.openstack.org/%{srcname}/%{srcname}-%{version}.tar.gz

#patches_ignore=DROP-IN-RPM
#patches_base=2.10.1
Patch0001: 0001-Revert-Use-dd-conv-sparse-when-writing-images-to-nod.patch

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
Requires: python-oslo-concurrency >= 3.8.0
Requires: python-oslo-config >= 2:4.0.0
Requires: python-oslo-i18n >= 2.1.0
Requires: python-oslo-log >= 3.22.0
Requires: python-oslo-serialization >= 1.10.0
Requires: python-oslo-service >= 1.10.0
Requires: python-oslo-utils >= 3.20.0
Requires: python-pbr
Requires: python-requests
Requires: python-six

# These are requirements for unit testing
BuildRequires: python-eventlet
BuildRequires: python-oslo-concurrency
BuildRequires: python-oslo-config
BuildRequires: python-oslo-i18n
BuildRequires: python-oslo-log
BuildRequires: python-oslo-service
BuildRequires: python-oslo-utils
BuildRequires: python-oslotest
BuildRequires: python-requests
BuildRequires: python-six
BuildRequires: python-testtools

%description
A common library to be used by various projects in the Ironic ecosystem

%prep
%autosetup -n %{srcname}-%{upstream_version} -p1

%build
%{__python2} setup.py build

%check
%{__python2} setup.py test

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%files
%license LICENSE
%doc README.rst
%{python2_sitelib}/*

%changelog
* Tue Sep 18 2018 Bob Fournier <bfournie@redhat.com> 2.10.1-2
- Revert "Use dd conv=sparse when writing images to nodes" (rhbz#1628753)

* Thu Jun 14 2018 Steve Linabery <slinaber@redhat.com> 2.10.1-1
- Update to 2.10.1

* Wed Sep 06 2017 rdo-trunk <javier.pena@redhat.com> 2.10.0-1
- Update to 2.10.0

* Mon Aug 21 2017 Alfredo Moralejo <amoralej@redhat.com> 2.9.0-1
- Update to 2.9.0

